--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "server_list:"
    body: list of servers to connect to
  - !ruby/struct:SM::Flow::LI 
    label: "host:"
    body: optional local host to bind to (ruby 1.7+ required)
  type: :NOTE
- !ruby/struct:SM::Flow::P 
  body: create a new Irc::Socket
full_name: Irc::Socket::new
is_singleton: true
name: new
params: (server_list, host, opts={})
visibility: public
